upsamp
Prev | Orchestra Opcodes and Operators | Next

## upsamp

upsamp — Modify a signal by up-sampling.

## Description

Modify a signal by up-sampling.

## Syntax

    ares upsamp ksig

## Performance

upsamp converts a control signal to an audio signal. It does it by simple repetition of the kval. upsamp is a slightly more efficient form of the assignment, asig = ksig.

## Examples

    asrc  buzz      10000,440,20, 1     ; band-limited pulse train
    adif  diff      asrc                ; emphasize the highs
    anew  balance   adif, asrc          ;   but retain the power
    agate reson     asrc,0,440          ; use a lowpass of the original
    asamp samphold  anew, agate         ;   to gate the new audiosig
    aout  tone      asamp,100           ; smooth out the rough edges

## See Also

diff, downsamp, integ, interp, samphold

Prev | Up | Next
unirand | Home | urd